API ReferenceJSON
Retrieve a presentation template
GET
Retrieve an existing presentation template by its ID.
Roles
adminverifier
Analytics Events
PRESENTATION_WEB_SEMANTIC_TEMPLATE_RETRIEVE_STARTPRESENTATION_WEB_SEMANTIC_TEMPLATE_RETRIEVE_SUCCESSPRESENTATION_WEB_SEMANTIC_TEMPLATE_RETRIEVE_FAIL
bearerAuthheader
AuthorizationBearer <token>id*stringPresentation template ID
Presentation template retrieved
application/json- response
id*stringUnique identifier for this presentation template. You will need it to create a presentation request based on this template. You can also use it to retrieve, update or remove this presentation template.
domain*stringname*stringquery*array<||>curl -X GET 'https://example.vii.au01.mattr.global/v2/credentials/web-semantic/presentations/templates/string'{ "id": "64e45290-9980-11ea-b872-f1bee5fb328f", "domain": "tenant.vii.mattr.global", "name": "alumni_credential_request", "query": [ { "type": "QueryByExample", "credentialQuery": [ { "required": true, "reason": "string", "example": { "@context": [ null ], "type": "AlumniCredential", "trustedIssuer": [ { "required": true, "issuer": "string" } ] } } ] } ]}How would you rate this page?